public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/unifi-video/
Date: Wed, 20 May 2020 11:24:23 +0000 (UTC)	[thread overview]
Message-ID: <1589973853.eb25b293bdc4ca1bca95fb55b12c448e2822cecb.bkohler@gentoo> (raw)

commit:     eb25b293bdc4ca1bca95fb55b12c448e2822cecb
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Tue May 19 19:48:36 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Wed May 20 11:24:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb25b293

media-video/unifi-video: bump to 3.10.12

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 media-video/unifi-video/Manifest                   |  1 +
 media-video/unifi-video/unifi-video-3.10.12.ebuild | 93 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/media-video/unifi-video/Manifest b/media-video/unifi-video/Manifest
index 113a94c8d97..49631d1b7a3 100644
--- a/media-video/unifi-video/Manifest
+++ b/media-video/unifi-video/Manifest
@@ -1,2 +1,3 @@
 DIST unifi-video.Ubuntu18.04_amd64.v3.10.10.deb 162697298 BLAKE2B 6cf3d93916830f781ba075abf222402609c8e9935149fc5729767ff05333c61db22709762a992ff510d4898d9b4860f3d61bd50fe0e2d55522a7eb8be7fc378a SHA512 01927d893e7d258641d38daa3018670cb8913d371a984d8f7595322ea0bb7d1879d9ba16125c8dca927d0a274e52922a5a3d1df60f31f7fc3a09de0cc7cc3766
 DIST unifi-video.Ubuntu18.04_amd64.v3.10.11.deb 163522410 BLAKE2B b6a81fc0cf04a5bdd15c5e8e58b2df35718a990faccda103e3600fe79a333904522047fce2a0acf92c53679fe39ca48f6982e5473536bfc308df99f02219c2c8 SHA512 6af7f87d6011021395ca420a89d213feefabc8547cef620231f58a9a419c404ecb9650c88b7ef48bcc9a10f685d8b897f3d6781d47f92166dd453fecd6ff7912
+DIST unifi-video.Ubuntu18.04_amd64.v3.10.12.deb 190853456 BLAKE2B db6286274f31d35a70eff1c311f27accf5bb6d2def29c2662d4b5585b62e06d2b883a1145af6ac21dda548cab18fc187359acc72b0ffc56876fb64cffb9d9023 SHA512 9f63e96b0dca35d8ac28a642bd03bcfc680c4f7b3278845cbeadf8f21779e67aa24773888f9e82f6a9eed23747c5f24fafa75fa556c6f91211fa26a1b25d9c2c

diff --git a/media-video/unifi-video/unifi-video-3.10.12.ebuild b/media-video/unifi-video/unifi-video-3.10.12.ebuild
new file mode 100644
index 00000000000..adc9830fd4e
--- /dev/null
+++ b/media-video/unifi-video/unifi-video-3.10.12.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+MY_PV="${PV/_beta/-beta.}"
+DESCRIPTION="UniFi Video Server"
+HOMEPAGE="https://www.ubnt.com/download/unifi-video/"
+SRC_URI="https://dl.ubnt.com/firmwares/ufv/v${MY_PV}/unifi-video.Ubuntu18.04_amd64.v${MY_PV}.deb"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="dev-db/mongodb
+	dev-java/commons-daemon
+	sys-apps/lsb-release
+	sys-apps/util-linux
+	sys-libs/libcap
+	virtual/jre:1.8"
+
+S=${WORKDIR}
+QA_PREBUILT="usr/lib*/${PN}/lib/*.so usr/lib*/${PN}/bin/*"
+
+pkg_setup() {
+	enewuser ${PN}
+	enewgroup ${PN}
+}
+
+src_unpack() {
+	default
+	unpack "${WORKDIR}"/data.tar.gz
+}
+
+src_prepare() {
+	eapply "${FILESDIR}"/commons-daemon-move.patch
+	sed -i usr/sbin/${PN} \
+		-e '/require_root$/d' \
+		-e '/update_limits$/d' \
+		-e '/ulimit/d' \
+		-e '/coredump_filter/d' || die
+	default
+}
+
+src_install() {
+	export CODEPATH=/usr/lib/${PN}
+	export DATAPATH=/var/lib/${PN}
+	LOGPATH=${DATAPATH}/logs
+	VARLOGPATH=/var/log/${PN}
+
+	rm .${CODEPATH}/bin/ubnt.updater
+	rm .${CODEPATH}/tools/updater
+
+	insinto /usr/lib
+	doins -r .${CODEPATH}
+	into /usr
+	dosbin usr/sbin/unifi-video
+
+	dodir ${LOGPATH}
+	fowners -R ${PN}:${PN} ${DATAPATH}
+	dosym ${LOGPATH} ${VARLOGPATH}
+	dosym ${LOGPATH} ${CODEPATH}/logs
+
+	dosym ${DATAPATH} ${CODEPATH}/data
+
+	fperms 500 ${CODEPATH}/bin/ubnt.avtool
+	fperms 500 ${CODEPATH}/bin/evostreamms
+	fperms 500 /usr/sbin/${PN}
+	fperms 500 ${CODEPATH}/tools/ufvtools
+	fowners -R ${PN}:${PN} ${CODEPATH}
+	fperms -R 0400 ${CODEPATH}/lib/
+	fperms 500 ${CODEPATH}/lib/
+
+	echo "CONFIG_PROTECT=\"${DATAPATH}/system.properties\"" > "${T}"/99${PN}
+	doenvd "${T}"/99${PN}
+
+	dosym /usr/bin/mongod ${CODEPATH}/bin/mongod
+
+	newinitd "${FILESDIR}"/${PN}.initd ${PN}
+	systemd_dounit "${FILESDIR}"/${PN}.service
+}
+
+pkg_postinst() {
+	if [[ ! -f ${DATAPATH}/system.properties ]]; then
+		cp ${CODEPATH}/etc/system.properties ${DATAPATH}/system.properties
+		echo uuid=$(uuidgen) >> ${DATAPATH}/system.properties
+	fi
+}


             reply	other threads:[~2020-05-20 11:24 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-20 11:24 Ben Kohler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-16 12:54 [gentoo-commits] repo/gentoo:master commit in: media-video/unifi-video/ Ben Kohler
2021-12-16 12:54 Ben Kohler
2021-08-18 14:02 Ben Kohler
2021-07-13 14:28 Ben Kohler
2020-12-28 14:47 Ben Kohler
2020-12-28 14:47 Ben Kohler
2020-11-15 15:30 Ben Kohler
2020-09-03 11:21 Ben Kohler
2020-03-11 20:14 Ben Kohler
2019-10-22 13:03 Ben Kohler
2019-06-18 16:21 Ben Kohler
2019-05-31 19:51 Ben Kohler
2019-02-06 22:15 Ben Kohler
2018-12-10 23:12 Ben Kohler
2018-12-10 22:37 Ben Kohler
2018-10-24 18:50 Ben Kohler
2018-10-24 18:30 Ben Kohler
2018-08-02 17:31 Ben Kohler
2018-07-30 20:43 Ben Kohler
2018-07-30 12:34 Ben Kohler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1589973853.eb25b293bdc4ca1bca95fb55b12c448e2822cecb.bkohler@gentoo \
    --to=bkohler@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox